alter table `astboard`.`users`
  add column `layout_id` int unsigned null default null after `role_id`,
  add foreign key (`layout_id`) references `astboard`.`layouts` (`layout_id`) on delete restrict;

insert into `astboard`.`controller_actions` (`controller_id`, `action`)
  select
    `controller_id`,
    'get_layouts'
  from `astboard`.`module_controllers`
  where `controller` = 'users';

set @action_id = last_insert_id();

insert into `astboard`.`role_permissions` (`role_id`, `action_id`) values
  (1, @action_id);