use `astboard`;

select `menu_id` into @administration_menu_id
from `menu` where `label` = 'menu.administration' and `parent` = 0;

update `menu` set `parent` = @administration_menu_id, `sort` = 2 where `label` = 'menu.widgets_settings';
update `menu` set `parent` = @administration_menu_id, `sort` = 3 where `label` = 'menu.pbx';

select `action_id` into @switchboard_action_id from `controller_actions` where `controller_id` = (
  select
    `controller_id`
  from `module_controllers`
  where `controller` = 'switchboard'
) and `action` = 'index';

update `menu` set `action_id` = @switchboard_action_id, `has_sub` = 'no' where `label` = 'menu.switchboard' and `parent` = 0;

delete from `menu` where `label` = 'menu.switchboard' and `parent` != 0;