alter table `astboard`.`roles`
  add column `share_layouts` enum ('yes', 'no') not null default 'no';

update `astboard`.`roles` set `share_layouts` = 'yes' where `role_id` = 1;

create table `astboard`.`users_shared_layouts` (
  `user_id` int unsigned not null,
  `layout_id` int unsigned not null,
  foreign key (`user_id`) references `astboard`.`users` (`user_id`) on delete cascade,
  foreign key (`layout_id`) references `astboard`.`layouts` (`layout_id`) on delete restrict
)engine=InnoDB character set utf8;