use `astboard`;

create table `templates` (
  `template_id` int unsigned not null auto_increment,
  `template` varchar(255) not null,
  `displayname` varchar(255) default null,
  primary key (`template_id`),
  unique (`template`)
) engine=InnoDB character set utf8;

create table `template_colors`(
  `color_id` int unsigned not null,
  `template_id` int unsigned not null,
  `color` varchar(255) not null,
  `displayname` varchar(255) default null,
  primary key (`color_id`),
  foreign key (`template_id`) references `templates` (`template_id`) on delete cascade
) engine=InnoDB character set utf8;

insert into templates values
  (1, '_default', 'Default');