use `astboard`;

insert into `modules` (`module`) values
  ('switchboard'),
  ('pbx');

insert into `module_controllers` (`module_id`, `controller`)
  select
    `module_id`,
    'switchboard'
  from `modules`
  where `module` = 'switchboard';

insert into `module_controllers` (`module_id`, `controller`)
  select
    `module_id`,
    'pbx'
  from `modules`
  where `module` = 'pbx';


select `controller_id` into @switchboard_controller_id from `module_controllers` where `controller` = 'switchboard';
select `controller_id` into @pbx_controller_id from `module_controllers` where `controller` = 'pbx';

insert into `controller_actions` (`controller_id`, `action`) values
  (@switchboard_controller_id, 'index'),
  (@pbx_controller_id, 'index'),
  (@pbx_controller_id, 'save'),
  (@pbx_controller_id, 'connect');



