use `astboard`;

select `action_id` into @switchboard_action_id
  from `controller_actions`
where `action` = 'index' and `controller_id` = (select `controller_id` from `module_controllers` where `controller` = 'switchboard');

select `action_id` into @pbx_action_id
from `controller_actions`
where `action` = 'index' and `controller_id` = (select `controller_id` from `module_controllers` where `controller` = 'pbx');

select `action_id` into @users_action_id
from `controller_actions`
where `action` = 'index' and `controller_id` = (select `controller_id` from `module_controllers` where `controller` = 'users');

select `action_id` into @role_action_id
from `controller_actions`
where `action` = 'index' and `controller_id` = (select `controller_id` from `module_controllers` where `controller` = 'roles');

insert into `menu` (`menu_id`, `action_id`, `label`, `parent`, `icon`, `has_sub`, `sort`) values
  (1,@switchboard_action_id, 'menu.switchboard', 0, 'fa fa-fw fa-desktop', 'no', 0),
  (2,null, 'menu.administration', 0, 'fa fa-fw fa-cog', 'yes', 5),
  (3,@users_action_id, 'menu.users', 2, 'fa fa-fw fa-people', 'no', 0),
  (4,@role_action_id, 'menu.roles', 2, 'fa fa-fw fa-lock', 'no', 1),
  (5,@pbx_action_id, 'menu.pbx', 2, 'fa fa-fw fa-asterisk', 'no', 2);


insert into `role_permissions` (`role_id`, `action_id`) values
  (1, @switchboard_action_id),
  (1, @pbx_action_id),
  (1, @users_action_id),
  (1, @role_action_id);