insert into `astboard`.`module_controllers` (`module_id`, `controller`)
  select
    `module_id`,
    'profile'
  from `astboard`.`modules`
  where `module` = 'acl';

insert into `astboard`.`controller_actions` (`controller_id`, `action`)
  (select
     `controller_id`,
     'index'
   from `astboard`.`module_controllers`
   where `controller` = 'profile');

insert into `astboard`.`controller_actions` (`controller_id`, `action`)
  (select
     `controller_id`,
     'save'
   from `astboard`.`module_controllers`
   where `controller` = 'profile');

insert into `astboard`.`role_permissions` (`role_id`, `action_id`)
  select
    1,
    `action_id`
  from `astboard`.`controller_actions`
  where `controller_id` in (
    select `controller_id` from `astboard`.`module_controllers`
    where `controller` = 'profile'
  ) and `action` in ('index', 'save');