insert into `astboard`.`module_controllers` (`module_id`, `controller`)
  select
    `module_id`,
    'licensing'
  from `astboard`.`modules` where `module` = 'pbx';

set @controller_id = last_insert_id();

insert into `astboard`.`controller_actions` (`controller_id`, `action`) values
  (@controller_id, 'index'),
  (@controller_id, 'activate'),
  (@controller_id, 'reactivate'),
  (@controller_id, 'migrate');

insert into `astboard`.`menu` (`action_id`, `label`, `parent`, `icon`, `has_sub`, `sort`)
  select
    `ca`.`action_id`,
    'menu.licensing',
    `m`.`menu_id`,
    null,
    'no',
    4
  from `astboard`.`controller_actions` as `ca`
    left join `astboard`.`menu` as `m` on (`label` = 'menu.administration' and `parent` = 0)
  where `controller_id` = @controller_id and `action` = 'index';

insert into `astboard`.`role_permissions` (`role_id`, `action_id`)
  select
    `r`.`role_id`,
    `ca`.`action_id`
  from `astboard`.`roles` as `r`
    left join `astboard`.`controller_actions` as `ca` on (`controller_id` = @controller_id)
  where `name` not in('Guest');



