select `controller_id` into @controller_id from `astboard`.`module_controllers` where `controller` = 'core';

insert into `astboard`.`controller_actions` (`controller_id`,`action`) values
  (@controller_id, 'about'),
  (@controller_id, 'check_for_update'),
  (@controller_id, 'run_update');

insert into `astboard`.`role_permissions` (`role_id`, `action_id`)
  select
    `r`.`role_id`,
    `ca`.`action_id`
  from `astboard`.`controller_actions` as `ca`
    left join `astboard`.`roles` as `r` on (`r`.`name` != 'Guest')
  where `ca`.`controller_id` = @controller_id and `ca`.`action` in ('about', 'check_for_update', 'run_update');