$(function(){
  addModuleCallBack('acl_roles', function () {
	  launchModuleCallBack('menu');
	  var roles_form = $("#form-roles");

	  var multiple_dropdown = roles_form.find("select.multiple-dropdown");
	  multiple_dropdown.multiSelect({
		  selectableHeader: "<div class='c-ms-header'> <a href='#' class='c-pointer select-all'>" + select_all + "</a> </div>",
		  selectionHeader: "<div class='c-ms-header'> <a href='#' class='c-pointer deselect-all'>" + remove_all + "</a> </div>"
	  });

	  roles_form.find('a.select-all').click(function(){
		  var ms_container = $(this).closest('div.ms-container').attr('id');
		  var dd_id = ms_container.split('-',2);
		  roles_form.find('select#'+dd_id[1]).multiSelect('select_all');
	  });

	  roles_form.find('a.deselect-all').click(function(){
		  var ms_container = $(this).closest('div.ms-container').attr('id');
		  var dd_id = ms_container.split('-',2);
		  roles_form.find('select#'+dd_id[1]).multiSelect('deselect_all');
	  });

	  $('.switchboard-privileges-full').each(function () {
		  allowed_all_pbx_data($(this).is(':checked'), $(this), roles_form);
	  });
	  roles_form.find('.switchboard-privileges-full').on('ifChecked',function () {
		  allowed_all_pbx_data(true, $(this), roles_form)
	  });

	  roles_form.find('.switchboard-privileges-full').on('ifUnchecked',function () {
		  allowed_all_pbx_data(false, $(this), roles_form)
	  });
  });

});

function allowed_all_pbx_data(checked, e, form){
  var mselect_modal = form.find("#" + e.attr('data-ms'));
  mselect_modal.parent('span.formset').removeClass('disabled');
  if(checked === true){
    mselect_modal.parent('span.formset').addClass('disabled');
  }
}
