$(function(){
	addModuleCallBack('acl_users', function () {
		launchModuleCallBack('menu');
		var form = $("#form-users");
		var user = form.find('input[name="user_id"]');
		get_layouts(user.val(), form);

		var tenantDropdown = form.find('#tenant');
		var tenantAction = form.find('input[name="tenants_ac"]');
		if(tenantDropdown.length){
			fillExtensionsDropDownByTenant(form, tenantAction.val(), tenantDropdown.val());
			tenantDropdown.on('change', function () {
				fillExtensionsDropDownByTenant(form, tenantAction.val(), $(this).val())
			});
		}
	});
});

function fillExtensionsDropDownByTenant(form, action, tenant_id) {
	virtual_submit({
		'action': action,
		'tenant_id': tenant_id,
		'child': '#extension',
		'selected': form.find('select#extension').attr('data-selected')
	});

	virtual_submit({
		'action': action,
		'tenant_id': tenant_id,
		'child': '#supervisor',
		'selected': form.find('select#supervisor').attr('data-selected')
	});
}

function get_layouts(user, form) {
	var ac = form.find('input[name="layout_ac"]').val();
	var selected_option = form.find('select#layout_id').attr('data-selected');
	virtual_submit({
		'action': ac,
		'user_id': user,
		'layout_id': selected_option
	});
}